Update status, reply, etc of a particular review

http
PUT https://services.leadconnectorhq.com/products/reviews/{reviewId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
reviewIdstringYes6578278e879ad2646715ba9cReview Id

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
productIdstringYes6578278e879ad2646715ba9cProduct Id
statusstringYesapprovedStatus of the review
  • reply (object[]): Reply of the review

    • headline (string, required): Headline of the Review Example: Amazing product with great quality

    • comment (string, required): Detailed Review of the product Example: This product exceeded my expectations in terms of quality and performance. Highly recommended!

    • user (object, required): User who is giving the review/reply

NameTypeRequiredExampleDescription
ratingnumberNo4.5Rating of the product
headlinestringNoAmazing product with great qualityHeadline of the Review
detailstringNoThe product is for sure a must and recommended buyDetailed Review of the product

Responses

200 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/products/reviews/YOUR_reviewId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "productId": "6578278e879ad2646715ba9c",
  "status": "approved",
  "reply": [
    {
      "headline": "Amazing product with great quality",
      "comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!"
    }
  ],
  "rating": "4.5",
  "headline": "Amazing product with great quality",
  "detail": "The product is for sure a must and recommended buy"
}'

Last updated October 26, 2026

Was this page helpful?